# CEGUI::Dimension Class Reference

Class representing some kind of dimension. More...

Collaboration diagram for CEGUI::Dimension:

[legend]
List of all members.

## Public Member Functions

| Dimension ()
| Constructor.
| ~Dimension ()
| Destructor.
| Dimension (const BaseDim &dim, DimensionType type)
| Constructor.
| Dimension (const Dimension &other)
| Copy constructor.
Dimension & | operator= (const Dimension &other)
| Assignment operator.
const BaseDim & | getBaseDimension () const
| return the BaseDim object currently used as the value for this Dimension.
void | setBaseDimension (const BaseDim &dim)
| set the current value for this Dimension.
DimensionType | getDimensionType () const
| Return a DimensionType value indicating what this Dimension represents.
void | setDimensionType (DimensionType type)
| Sets what this Dimension represents.
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this Dimension to out_stream.

## Detailed Description

Class representing some kind of dimension.

The key thing to understand about Dimension is that it contains not just a dimensional value, but also a record of what the dimension value is supposed to represent. (e.g. a co-ordinate on the x axis, or the height of something).

## Constructor & Destructor Documentation

CEGUI::Dimension::Dimension | ( | const BaseDim & | dim,
|  | DimensionType | type
| ) |

Constructor.

Parameters:

  | dim | object based on subclass of BaseDim which holds the dimensional value.
  | type | DimensionType value indicating what dimension this object is to represent.

## Member Function Documentation

const BaseDim & CEGUI::Dimension::getBaseDimension | ( |  | ) | const

return the BaseDim object currently used as the value for this Dimension.

Returns:
  const reference to the BaseDim sub-class object which contains the value for this Dimension.

DimensionType CEGUI::Dimension::getDimensionType | ( |  | ) | const

Return a DimensionType value indicating what this Dimension represents.

Returns:
  one of the DimensionType enumerated values.

void CEGUI::Dimension::setBaseDimension | ( | const BaseDim & | dim | ) |

set the current value for this Dimension.

Parameters:

  | dim | object based on a subclass of BaseDim which holds the dimensional value.

Returns:
  Nothing.

void CEGUI::Dimension::setDimensionType | ( | DimensionType | type | ) |

Sets what this Dimension represents.

Parameters:

  | type | one of the DimensionType enumerated values.

Returns:
  Nothing.

void CEGUI::Dimension::writeXMLToStream | ( | OutStream & | out_stream | ) | const

Writes an xml representation of this Dimension to out_stream.

Parameters:

  | out_stream | Stream where xml data should be output.

Returns:
  Nothing.